<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Position: sticky</title>
        <style>
            body {
                min-height: ;
            }

            h1 {
                background: #16a085;
            }

            h2 {
                background: #ff9933;
                position: sticky;
                top: 100px;
            }
        </style>
    </head>

    <body>
        <h1>Lorem.</h1>
        <h2>Lorem.ipsum</h2>
        <div>

            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aperiam aut deleniti dolore illo
            nisi omnis quidem quos totam vitae. Dignissimos fugiat modi molestiae nemo provident sint tempore.
            Dolore, ea magnam.
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aperiam aut deleniti dolore illo
            nisi omnis quidem quos totam vitae. Dignissimos fugiat modi molestiae nemo provident sint tempore.
            Dolore, ea magnam.
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aperiam aut deleniti dolore illo
            nisi omnis quidem quos totam vitae. Dignissimos fugiat modi molestiae nemo provident sint tempore.
            Dolore, ea magnam.
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aperiam aut deleniti dolore illo
            nisi omnis quidem quos totam vitae. Dignissimos fugiat modi molestiae nemo provident sint tempore.
            Dolore, ea magnam.
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aperiam aut deleniti dolore illo
            nisi omnis quidem quos totam vitae. Dignissimos fugiat modi molestiae nemo provident sint tempore.
            Dolore, ea magnam.
        </div>
    </body>
</html>